Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanConstructorInfo

    java.lang.Object
      |
      +--javax.management.MBeanFeatureInfo
            |
            +--javax.management.MBeanConstructorInfo

public class MBeanConstructorInfo
extends MBeanFeatureInfo
implements java.io.Serializable

The MBeanConstructorInfo object describes a constructor exposed by an MBean.

See Also:
  Serialized Form

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`MBeanConstructorInfo(java.lang.String description, java.lang.reflect.Constructor constructor)` Constructs a MBeanConstructorInfo object.
`MBeanConstructorInfo(java.lang.String name, java.lang.String description, MBeanParameterInfo[] signature)` Constructs a MBeanConstructorInfo object.

Method Summary
`MBeanParameterInfo[]` | `getSignature()` Returns the signature of the method, that is, information on the operations arguments.

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanConstructorInfo

    public MBeanConstructorInfo(java.lang.String description,
                                java.lang.reflect.Constructor constructor)

  Constructs a MBeanConstructorInfo object.
  Parameters:
    `method` - The java.lang.reflect.Method object describing the MBean operation.
    `description` - A human readable description of the operation.

### MBeanConstructorInfo

    public MBeanConstructorInfo(java.lang.String name,
                                java.lang.String description,
                                MBeanParameterInfo[] signature)

  Constructs a MBeanConstructorInfo object.
  Parameters:
    `name` - The name of the constructor.
    `description` - A human readable description of the constructor.
    `signature` - MBeanParameterInfo objects describing the parameters(arguments) of the constructor.

Method Detail

### getSignature

    public MBeanParameterInfo[] getSignature()

  Returns the signature of the method, that is, information on the operations arguments.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD